VERSION 5.00
Begin VB.Form frmChooseColor 
   AutoRedraw      =   -1  'True
   Caption         =   "Choose Color Dialog Demo"
   ClientHeight    =   3165
   ClientLeft      =   2055
   ClientTop       =   1605
   ClientWidth     =   5610
   LinkTopic       =   "Form1"
   OLEDropMode     =   1  'Manual
   ScaleHeight     =   211
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   374
   Begin VB.CommandButton Command1 
      Caption         =   "Choose Color"
      Height          =   495
      Left            =   2115
      TabIndex        =   0
      Top             =   1335
      Width           =   1410
   End
End
Attribute VB_Name = "frmChooseColor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
  Option Explicit
  ' demo project showing how to use the ChooseColor API function
  ' by Bryan Stafford of New Vision Software - newvision@mvps.org
  ' this demo is released into the public domain "as is" without
  ' warranty or guaranty of any kind.  In other words, use at
  ' your own risk.

  Public Enum CHOOSE_COLOR_FLAGS
    CC_RGBINIT = &H1&
    CC_FULLOPEN = &H2&
    CC_PREVENTFULLOPEN = &H4&
    CC_SHOWHELP = &H8&
    CC_ENABLEHOOK = &H10&
    CC_ENABLETEMPLATE = &H20&
    CC_ENABLETEMPLATEHANDLE = &H40&
    CC_SOLIDCOLOR = &H80&
    CC_ANYCOLOR = &H100&
  End Enum
  
  Private Type CHOOSECOLOR
    lStructSize As Long
    hwndOwner As Long
    hInstance As Long
    rgbResult As Long
    lpCustColors As Long
    flags As CHOOSE_COLOR_FLAGS
    lCustData As Long
    lpfnHook As Long
    lpTemplateName As String
  End Type

  Private Declare Function ChooseColor_API Lib "comdlg32.dll" Alias "ChooseColorA" (lpChoosecolor As CHOOSECOLOR) As Long

Private Sub Command1_Click()
  ' call the choosecolor dialog to change the backcolor of the form
  
  Dim lpChoosecolor As CHOOSECOLOR
  Dim aColorRef(15) As Long
  
  With lpChoosecolor
    .lStructSize = Len(lpChoosecolor)
    .hwndOwner = hWnd
    .rgbResult = Me.BackColor
    .lpCustColors = VarPtr(aColorRef(0))
    .flags = CC_SOLIDCOLOR Or CC_ANYCOLOR Or CC_RGBINIT
  End With

  If ChooseColor_API(lpChoosecolor) Then
    BackColor = lpChoosecolor.rgbResult
  End If
  
End Sub
